Frame

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Frame
Elementary

Frame is a widget that holds some content and has a title. More...

## Functions
void | elm_frame_collapse_set (Efl_Ui_Frame *obj, Eina_Bool collapse)
| Manually collapse a frame without animations Use this to toggle the collapsed state of a frame, bypassing animations.
Eina_Bool | elm_frame_collapse_get (const Efl_Ui_Frame *obj)
| Determine the collapse state of a frame Use this to determine the collapse state of a frame.
void | elm_frame_autocollapse_set (Efl_Ui_Frame *obj, Eina_Bool autocollapse)
| Toggle autocollapsing of a frame When `enable` is `true`, clicking a frame's label will collapse the frame vertically, shrinking it to the height of the label.
Eina_Bool | elm_frame_autocollapse_get (const Efl_Ui_Frame *obj)
| Determine autocollapsing of a frame.
void | elm_frame_collapse_go (Efl_Ui_Frame *obj, Eina_Bool collapse)
| Manually collapse a frame with animations Use this to toggle the collapsed state of a frame, triggering animations.
Evas_Object * | elm_frame_add (Evas_Object *parent)
| Add a new frame to the parent.

## Detailed Description

Frame is a widget that holds some content and has a title.

The default look is a frame with a title, but Frame supports multiple styles:

- default
- pad_small
- pad_medium
- pad_large
- pad_huge
- outdent_top
- outdent_bottom
- overlay
- icon
- icon_overlay
- border
- border_overlay

Of all this styles only default shows the title.

This widget inherits from the Layout one, so that all the functions acting on it also work for frame objects.

This widget emits the following signals, besides the ones sent from Layout :

- `"clicked"` - The user has clicked the frame's label
- `"language,changed"` - the program's language changed (since 1.9)
- `"close"` - The user has clicked the close button if there is one

Default content parts of the frame widget that you can use for are:

- "default" - A content of the frame

Default text parts of the frame widget that you can use for are:

- "default" - A label of the frame

Supported elm_object common APIs.

- elm_object_part_text_set
- elm_object_part_text_get
- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset

For a detailed example see the Frame example.

## Function Documentation

## ◆ elm_frame_collapse_set()

void elm_frame_collapse_set | ( | Efl_Ui_Frame * | obj,
|  | Eina_Bool | collapse
| ) |  |

Manually collapse a frame without animations Use this to toggle the collapsed state of a frame, bypassing animations.

Parameters

  [in] | obj | The object.
  [in] | collapse | `true` to collapse, `false` to expand.

## ◆ elm_frame_collapse_get()

Eina_Bool elm_frame_collapse_get | ( | const Efl_Ui_Frame * | obj | ) |

Determine the collapse state of a frame Use this to determine the collapse state of a frame.

Parameters

  [in] | obj | The object.

Returns
  `true` to collapse, `false` to expand.

## ◆ elm_frame_autocollapse_set()

void elm_frame_autocollapse_set | ( | Efl_Ui_Frame * | obj,
|  | Eina_Bool | autocollapse
| ) |  |

Toggle autocollapsing of a frame When `enable` is `true`, clicking a frame's label will collapse the frame vertically, shrinking it to the height of the label.

By default, this is DISABLED.

Parameters

  [in] | obj | The object.
  [in] | autocollapse | Whether to enable autocollapse.

## ◆ elm_frame_autocollapse_get()

Eina_Bool elm_frame_autocollapse_get | ( | const Efl_Ui_Frame * | obj | ) |

Determine autocollapsing of a frame.

When this returns `true`, clicking a frame's label will collapse the frame vertically, shrinking it to the height of the label. By default, this is DISABLED.

Parameters

  [in] | obj | The object.

Returns
  Whether to enable autocollapse.

## ◆ elm_frame_collapse_go()

void elm_frame_collapse_go | ( | Efl_Ui_Frame * | obj,
|  | Eina_Bool | collapse
| ) |  |

Manually collapse a frame with animations Use this to toggle the collapsed state of a frame, triggering animations.

Parameters

  [in] | obj | The object.
  [in] | collapse | `true` to collapse, `false` to expand.

## ◆ elm_frame_add()

Evas_Object * elm_frame_add | ( | Evas_Object * | parent | ) |

Add a new frame to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

References EINA_SAFETY_ON_NULL_RETURN_VAL.